<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Eddie: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Eddie
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">CoapServer Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classCoapServer.html">CoapServer</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classCoapServer.html#af58cf02cfa2575c558e04fdffec4403c">add_resource</a>(EddieResource *resource)</td><td class="entry"><a class="el" href="classCoapServer.html">CoapServer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classCoapServer.html#ad5149c00a7b9fde3bbaac8f36d2c89ee">CoapServer</a>(const char *host, const char *port)</td><td class="entry"><a class="el" href="classCoapServer.html">CoapServer</a></td><td class="entry"><span class="mlabel">explicit</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCoapServer.html#a5eb9e35199e0e9d72765ca4466cb6f13">get_client</a>()</td><td class="entry"><a class="el" href="classCoapServer.html">CoapServer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classCoapServer.html#af832d2ff6a571e8dd043f9de79f71d47">get_context</a>() const</td><td class="entry"><a class="el" href="classCoapServer.html">CoapServer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCoapServer.html#a868d080db89c74cce694ec370b38c01e">get_my_ip</a>() const</td><td class="entry"><a class="el" href="classCoapServer.html">CoapServer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classCoapServer.html#a860496fc1f6bcfe099f486af92876094">get_my_port</a>() const</td><td class="entry"><a class="el" href="classCoapServer.html">CoapServer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCoapServer.html#ada9e1dc9ce93d16e4392ebe8ac3649f1">get_resources_in_linkformat</a>()</td><td class="entry"><a class="el" href="classCoapServer.html">CoapServer</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCoapServer.html#ad6a18dddcb2e935b6d691f8fc3e2f067">is_ipv6</a>() const</td><td class="entry"><a class="el" href="classCoapServer.html">CoapServer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCoapServer.html#aa03a8a20c841396f698a541e87da3b5e">run</a>()</td><td class="entry"><a class="el" href="classCoapServer.html">CoapServer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classCoapServer.html#a5c7f9c829a2809bbcdd737618814c9fd">start_server</a>()</td><td class="entry"><a class="el" href="classCoapServer.html">CoapServer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCoapServer.html#a5b8430f0776f3d81d559bf056164cbc2">stop_server</a>()</td><td class="entry"><a class="el" href="classCoapServer.html">CoapServer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classCoapServer.html#a5128aef62364279915b14a50205c1a68">~CoapServer</a>()</td><td class="entry"><a class="el" href="classCoapServer.html">CoapServer</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
